Cancel Payment
Cancel a payment for a student identified by :jodo_student_id and :transaction_id.
Endpoint
Section titled “Endpoint”DELETE /api/v1/integrations/erp/students/:jodo_student_id/payments/:transaction_idRequest
Section titled “Request”curl -X DELETE 'https://[base_url]/api/v1/integrations/erp/students/:jodo_student_id/payments/:transaction_id' \ -H 'Content-Type: application/json' \ -H 'Authorization: Basic <token>'Path Parameters
Section titled “Path Parameters”| Parameter | Type | Required | Description |
|---|---|---|---|
jodo_student_id | string | Yes | Jodo student ID against which the payment was recorded. |
transaction_id | string | Yes | Transaction ID of the payment to cancel. |
Response
Section titled “Response”HTTP 200
{ "status": "success"}Implementation Notes
Section titled “Implementation Notes”- Use the same
transaction_idthat was sent when the payment was added. - Use this only for payments recorded through the direct/manual payment API.